# Get-RASPowerPermission.md

## NAME

Get-RASPowerPermission

## SYNOPSIS

Retrieves information about a Parallels RAS Power administrator account.

## SYNTAX

\*\*Get-RASPowerPermission \[[AdminId](#adminid-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about one Parallels RAS Power administrator account.

The cmdlet returns an array of objects of type RASPowerPermission.

## PARAMETERS

## AdminId (uint)

Admin ID to retrieve the specified RAS Custom Administrator Account.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[RASPowerPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/raspowerpermission.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASPowerPermission -AdminId 100

Retrieves the permissions of one Parallels RAS Power administrator account.

## RELATED LINKS

* [Set-RASPowerPermission](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspowerpermission.md)
* [Get-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasadminaccount.md)
* [New-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasadminaccount.md)
* [Set-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasadminaccount.md)
* [Remove-RASAdminAccount](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasadminaccount.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspowerpermission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
